# uproot.behaviors.TGraph.TGraph

Defined in uproot.behaviors.TGraph on line 11.

class uproot.behaviors.TGraph.TGraph

  Behaviors for TGraph: return values as a NumPy array

## values

TGraph.values(axis='both')
  Parameters:

    axis (int or str) – If `0`, `-2`, or `"x"`, get the x axis. If `1`, `-1`, or `"y"`, get the y axis. If `"both"`, get `"x"` and `"y"` axes as a 2-tuple.

  Returns the values of all points in the scatter plot, either as a 1-dimensional NumPy array (if `axis` selects only one) or as a 2-tuple (if `axis="both"`).